Bug 143992 - remove hard-coded ps/pdf app defaults (gsview)
remove hard-coded ps/pdf app defaults (gsview)
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Depends On:
  Show dependency treegraph
Reported: 2005-01-03 10:10 EST by Nicola Soranzo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-06 15:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2005-01-03 10:10:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
LyX requires 2 packages which I find not necessary: aiksaurus (works
only for english) and gsview (there's gv).
Also the official rpm
doesn't require either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install lyx

Actual Results:  Performing the following to resolve dependencies:
  Install: aiksaurus.i386 1:1.2.1-2
  Install: gsview.i386 0:4.6-8

Expected Results:  No additional dependencies.

Additional info:
Comment 1 Rex Dieter 2005-01-03 10:19:34 EST
FYI, see
for the rationale for including these seemingly extraneous Requires
(gsview anyway).  Please comment further if you know of any way to
remove the Requires without removing functionality.

aiksaurus support is either there or it isn't.  I choose to include
that functionality, despite it's apparent shortcomings for non-english
Comment 2 Nicola Soranzo 2005-01-03 17:35:12 EST
As said over, gv (which is in the base repository) can be used in
place of gsview for Postscript and PDF preview.
For aiksaurus in effect there aren't alternatives for lyx, so keep that.
Comment 3 Rex Dieter 2005-01-04 08:45:43 EST
And as I said, not having gsview installed removes functionality.  If
you can come up with a way with not having the Requires: gsview
without removing functionality, I'd love to hear it.
Comment 4 Nicola Soranzo 2005-01-04 19:54:53 EST
Sorry, but I haven't found what functionality gsview provides that gv
hasn't: can you explain me?
Comment 5 Rex Dieter 2005-03-15 14:11:32 EST
It's not functionality of gsview vs gv, it's that helper apps are determined at
*build time*, and if not present at *run time* (when needed), lyx will generate

I'll look into trying to modify lyx to use the system's runtime default for
ps,pdf files instead of the current hard-coded values.
Comment 6 Nicola Soranzo 2005-03-15 18:32:45 EST
I think that's the right solution, with FC4 we'll have Evince as default,
there's KGhostview for KDE...
This LyX behaviour is a problem.
PS: Maybe there's a similar problem for HTML viewer? I have installed only
firefox (no mozilla) and have to manually put "firefox" in
Edit->Preferences->File formats->HTML->viewer to have View->HTML menu entry.
Comment 7 Rex Dieter 2005-08-06 15:22:37 EDT
update pushed to extras (w/o hard-coded defaults)

Note You need to log in before you can comment on or make changes to this bug.